Skip to main content
GET
/
admin
/
v0
/
feeds
/
{feed_id}
Retrieve feed
curl --request GET \
  --url https://api.tightknit.ai/admin/v0/feeds/{feed_id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "banner_file_id": "<string>",
    "banner_file_url": "<string>",
    "emoji_icon": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_archived": true,
    "is_unlisted": true,
    "label": "<string>",
    "list_view_display_format": "card",
    "post_detail_display_format": "discussion",
    "slack_channel_id": "<string>",
    "slack_channel_name": "<string>",
    "slack_channel_num_members": 123,
    "slack_channel_purpose_slack_blocks_references": {
      "mentioned_slack_users": [
        {
          "profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "preferred_name": "<string>",
          "slack_user_id": "<string>"
        }
      ],
      "mentioned_slack_channels": [
        {
          "slack_channel": {
            "id": "<string>",
            "name": "<string>"
          },
          "feed": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "label": "<string>",
            "slug": "<string>"
          }
        }
      ],
      "custom_emojis": [
        {
          "alias": "<string>",
          "name": "<string>",
          "url": "<string>"
        }
      ],
      "urls": [
        {
          "order_seen": 123,
          "is_embedded_media": true,
          "is_image": true,
          "is_video": true,
          "url": "<string>"
        }
      ]
    },
    "slack_channel_topic_slack_blocks_references": {
      "mentioned_slack_users": [
        {
          "profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "preferred_name": "<string>",
          "slack_user_id": "<string>"
        }
      ],
      "mentioned_slack_channels": [
        {
          "slack_channel": {
            "id": "<string>",
            "name": "<string>"
          },
          "feed": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "label": "<string>",
            "slug": "<string>"
          }
        }
      ],
      "custom_emojis": [
        {
          "alias": "<string>",
          "name": "<string>",
          "url": "<string>"
        }
      ],
      "urls": [
        {
          "order_seen": 123,
          "is_embedded_media": true,
          "is_image": true,
          "is_video": true,
          "url": "<string>"
        }
      ]
    },
    "slug": "<string>",
    "show_in_navigation_menu": true,
    "is_site_posting_enabled": true,
    "slack_channel_purpose_slack_blocks": [
      {
        "type": "rich_text",
        "elements": [
          {
            "type": "rich_text_section",
            "elements": [
              {
                "type": "broadcast",
                "range": "here"
              }
            ]
          }
        ],
        "block_id": "<string>"
      }
    ],
    "slack_channel_topic_slack_blocks": [
      {
        "type": "rich_text",
        "elements": [
          {
            "type": "rich_text_section",
            "elements": [
              {
                "type": "broadcast",
                "range": "here"
              }
            ]
          }
        ],
        "block_id": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

feed_id
string<uuid>
required

Response

Feed details

success
boolean
required
data
object
required